2024-07-18 00:27 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0003637BAT[All Projects] Generalpublic2020-01-17 22:34
Reporterapex 
Assigned ToCFOUProject InfoB.A.T. (UBI-Soft)
http://www.whdload.de/games/BAT.html
 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Summary0003637: On my A500: Exception "TRAP #0" ($80) at $7E9A occurred. Game working on my
DescriptionGameVersion: german,pal,2 disks
SlaveVersion: 1.3b

On my A500:
Exception "TRAP #0" ($80)
at $7E9A occurred.
Game working on my A1200/060.
************************* 18-Feb-17 13:08:13 ************************18.3.5814***
Slave='BAT.Slave' (1956 bytes)
ShadowMem   909778 -   945778 ( 245760) AbsolutMem    3C000 -    80000 ( 278528)
Resload     9E1AC8 -   9E801C (  25940) at 9E1AC8  GL=$9E8128
Slave       9FF0D0 -   9FF850 (   1920) at 9FF0D0  BaseMemSize=$80000
attn=1(10) fc=-1 kn=10813 cs=F999 rw=0 zpt=-1 ep=0 ei=0
setcpu=33D(DC,IC,SCB,ECB,BNC)
Exception "TRAP #0" ($80) at $7E9A occured.
$00007e5c bsr.w        $7d08
$00007e60 move.l       (a7)+,($51fe).w                ;$0007ffea
$00007e64 bsr.w        $530e
$00007e68 moveq        #$f,d0
$00007e6a and.b        (3,a0),d0                      ;$0001ec7d
$00007e6e move.b       d0,($158e).w
$00007e72 bsr.w        $7bca
$00007e76 jsr          ($478a).w
$00007e7a jmp          ($eda2)
$00007e80 btst         #0,($bfd000)
$00007e88 bne.w        $7e9a
$00007e8c move         #$2700,sr
$00007e90 move.w       #$200,($dff096)
$00007e98 trap         #0
$00007e9a movem.l      d0-d7/a0-a6,-(a7)              ;$0007ffea
$00007e9e lea          ($dff000),a6
$00007ea4 move.l       ($4b0).w,d0
$00007ea8 beq.b        $7eb2
$00007eaa exg          d0,a0
$00007eac lea          ($406).w,a5
$00007eb0 jsr          (a0)                           ;$0001ec7a
$00007eb2 lea          ($dff000),a6
$00007eb8 tst.b        ($eda1)
$00007ebe beq.b        $7ecc
$00007ec0 tst.b        ($eda0)
$00007ec6 beq.b        $7ecc
$00007ec8 jsr          ($479e).w
$00007ecc bsr.w        $5114
$00007ed0 jsr          ($ea48)
exception stackframe:
$0007FFEA 27000000 7E9A0080
regular stack:
$0007FFF2 00007F48 1F8A2004 00008244 006C
  ----0---- ----1---- ----2---- ----3---- ----4---- ----5---- ----6---- ----7----
Dx 137D0020      8022      7F4C      7F26      7F0A      7EEE      7EE4  FFFFFFFF
Ax    1EC7A     7B800     1BF28  A3A3A3A3  A4A4A4A4  A5A5A5A5    DFF000
                 TTSM III   XNZVC
PC=    7E9A  SR %0010011100000000  USP=7FC00  SSP=7FFEA
VBR=9E9128  SFC=5  DFC=5
         MEDRAAAABVCPSDT          YZ  PMRCBSDAAAA
intena=%0100000001101000 dmacon=%0010010111100000 adkcon=$1100
intreq=%0000000000000000
vposr....A000  vhposr...0329  joy0dat..0301  joy1dat..0000  clxdat...8001  
pot0dat..A900  pot1dat..3F3F  potinp...5500  serdatr..3800  dskbytr..8000  
deniseid.FFFC  hhposr...FFB0  
   ciaa:     PI ROPS		   ciab:     PI ROPS
    cra=00000000  ta=21FF<21FF	   cra=00000000  ta=FFFF<FFFF
        AII ROPS			    AII ROPS
    crb=00000000  tb=21FF<21FF	   crb=00000000  tb=FFFF<FFFF
        10RTWCLO	  parallel	    DRCCDSOY      M3210HDS
    pra=11111100  prb=11111111      pra=11111110  prb=11111111
       ddra=00000011 ddrb=00000000     ddra=11000000 ddrb=11111111
       event=00000C  icr=00  sdr=00    event=000EAC  icr=00  sdr=00
TagsNo tags attached.
MachineA500
CPU68000
CPUSpeed14
ChipSetECS
GFXCardNone
ChipMem2 MB
FastMem4 MB
WorkbenchOS 3.1
KickROM40 - Kick 3.1
KickSoftNone
WHDLoad18.3beta
importedyes
Attached Files

-Relationships
has duplicate 0001653closedCFOU B.A.T.: hi there! i already reported about this bug but i've been able to 
has duplicate 0001648closedCFOU B.A.T.: when installing the game for the first time ..it works perfectly fine! 
+Relationships

-Notes

note ~0007657

CFOU (developer)

i'll try to fix it

note ~0007658

retrogamer (reporter)

Please CFOU if you are going to update the slave can you add the manual and solution files I've attatched in the documents.zip?

note ~0007659

CFOU (developer)

of course ;)

note ~0007660

retrogamer (reporter)

Edit: Manual and solution is already included in the install package my bad...;)

note ~0007661

CFOU (developer)

I will remove the test from the parallel port.
$00007e80 btst #0,($bfd000)
$00007e88 bne.w $7e9a

It must be a forgotten dongle protection test.

on the other hand it is curious that it only crashes on A500.

do you have an interface connected to the amiga port such as a printer?

indeed, the PRINTER BUSY bit is tested before the call on TRap #0 and crashed

note ~0007662

CFOU (developer)

fixed with v1.4
+Notes

-Issue History
Date Modified Username Field Change
2017-02-18 21:59 administrator New Issue
2017-02-18 21:59 administrator Status new => assigned
2017-02-18 21:59 administrator Assigned To => CFOU
2020-01-15 11:58 CFOU Note Added: 0007657
2020-01-16 03:38 retrogamer File Added: Documents.zip
2020-01-16 03:38 retrogamer Note Added: 0007658
2020-01-16 22:43 CFOU Note Added: 0007659
2020-01-17 03:02 retrogamer Note Added: 0007660
2020-01-17 17:28 CFOU Note Added: 0007661
2020-01-17 19:55 CFOU Relationship added has duplicate 0001653
2020-01-17 19:55 CFOU Relationship added has duplicate 0001648
2020-01-17 22:34 CFOU Status assigned => closed
2020-01-17 22:34 CFOU Resolution open => fixed
2020-01-17 22:34 CFOU Note Added: 0007662
+Issue History